import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, w = Object.getOwnPropertyDescriptor, i = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? w(t, s) : t, n = p.length - 1, c; n >= 0; n--)
    (c = p[n]) && (e = (r ? c(t, s, e) : c(e)) || e);
  return r && e && m(t, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--caretDown", this.class = "c-pieIcon c-pieIcon--caretDown", this.name = "IconCaretDown";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--caretDown"><path d="M11.92 3.713H4.045a1.313 1.313 0 0 0-1.041 2.056l4.051 5.941a1.32 1.32 0 0 0 1.085.577 1.31 1.31 0 0 0 1.085-.612l3.763-5.897a1.25 1.25 0 0 0 .16-1.26 1.31 1.31 0 0 0-1.228-.805m-3.78 7.262-4.06-5.95h7.875z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  h("icon-caret-down")
], o);
export {
  o as IconCaretDown
};
